package com.fos.modules.orderView.entity;

import java.sql.Date;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

import net.sourceforge.jtds.jdbc.DateTime;

public class OrderViewEntity extends BaseEntity{

	
	@JSONField(name="tableNum")    //桌号
	private int tableNum;      
	
	@JSONField(name="code")
	private String code;        //用户订单号
	
	@JSONField(name="startTime")     //用户订单创建时间
	private String startTime;  

	@JSONField(name="name")    //用户昵称
	private String name;  
	
	@JSONField(name="endTime")  //用户用餐完结时间
	private String endTime; 
	
	@JSONField(name="userOrderList")   //用户订单详情
	private List<FoodEntity> userOrderList;     
	
	
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public List<FoodEntity> getUserOrderList() {
		return userOrderList;
	}
	public void setUserOrderList(List<FoodEntity> userOrderList) {
		this.userOrderList = userOrderList;
	}
	public int getTableNum() {
		return tableNum;
	}
	public void setTableNum(int tableNum) {
		this.tableNum = tableNum;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getStartTime() {
		return startTime;
	}
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	public String getEndTime() {
		return endTime;
	}
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
	
	
}
